<?php
/**
 * @package Grace Powerclub
 * Setup the WordPress core custom functions feature.
 *
*/

add_action('powerclub_optionsframework_custom_scripts', 'powerclub_optionsframework_custom_scripts');
function powerclub_optionsframework_custom_scripts() { ?>
	<script type="text/javascript">
    jQuery(document).ready(function() {
    
        jQuery('#example_showhidden').click(function() {
            jQuery('#section-example_text_hidden').fadeToggle(400);
        });
        
        if (jQuery('#example_showhidden:checked').val() !== undefined) {
            jQuery('#section-example_text_hidden').show();
        }
        
    });
    </script><?php
}

// get_the_content format text
function get_the_content_format( $str ){
	$raw_content = apply_filters( 'the_content', $str );
	$content = str_replace( ']]>', ']]&gt;', $raw_content );
	return $content;
}
// the_content format text
function the_content_format( $str ){
	echo get_the_content_format( $str );
}

function is_google_font( $font ){
	$notGoogleFont = array( 'Arial', 'Comic Sans MS', 'FreeSans', 'Georgia', 'Lucida Sans Unicode', 'Palatino Linotype', 'Symbol', 'Tahoma', 'Trebuchet MS', 'Verdana' );
	if( in_array($font, $notGoogleFont) ){
		return false;
	}else{
		return true;
	}
}

// subhead section function
function sub_head_section( $more ) {
	$pgs = 0;
	do {
		$pgs++;
	} while ($more > $pgs);
	return $pgs;
}

//[clear]
function clear_func() {
	$clr = '<div class="clear"></div>';
	return $clr;
}
add_shortcode( 'clear', 'clear_func' );


//[column_content]Your content here...[/column_content]
function column_content_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'type' => '',	
	), $atts ) );
	$colPos = strpos($type, '_last');
	if($colPos === false){
		$cnt = '<div class="'.$type.'">'.do_shortcode($content).'</div>';
	}else{
		$type = substr($type,0,$colPos);
		$cnt = '<div class="'.$type.' last_column">'.do_shortcode($content).'</div>';
	}
	return $cnt;
}
add_shortcode( 'column_content', 'column_content_func' );


//[hr]
function hrule_func() {
	$hrule = '<div class="hr"></div>';
	return $hrule;
}
add_shortcode( 'hr', 'hrule_func' );


//[hr_top]
function back_to_top_func() {
	$back_top = '<div id="back-top">
		<a title="Top of Page" href="#top"><span></span></a>
	</div>';
	return $back_top;
}
add_shortcode( 'back-to-top', 'back_to_top_func' );


// [searchform]
function searchform_shortcode_func( $atts ){
	return get_search_form( false );
}
add_shortcode( 'searchform', 'searchform_shortcode_func' );

// accordion
function accordion_func( $atts, $content = null ) {
	$acc = '<div style="margin-top:10px;">'.get_the_content_format( do_shortcode($content) ).'<div class="clear"></div></div>';
	return $acc;
}
add_shortcode( 'accordion', 'accordion_func' );
function accordion_content_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'title' => 'Accordion Title',
	), $atts ) );
	$content = wpautop(trim($content));
	$acn = '<div class="accordion-box"><h2>'.$title.'</h2>
			<div class="acc-content">'.$content.'</div><div class="clear"></div></div>';
	return $acn;
}
add_shortcode( 'accordion_content', 'accordion_content_func' );


// remove excerpt more
function new_excerpt_more( $more ) {
	return '... ';
}
add_filter('excerpt_more', 'new_excerpt_more');

// get post categories function
function getPostCategories(){
	$categories = get_the_category();
	$catOut = '';
	$separator = ', ';
	$catOutput = '';
	if($categories){
		foreach($categories as $category) {
			$catOutput .= '<a href="'.get_category_link( $category->term_id ).'" title="' . esc_attr( sprintf( __( "View all posts in %s", 'powerclub' ), $category->name ) ) . '">'.$category->cat_name.'</a>'.$separator;
		}
		$catOut = ''.trim($catOutput, $separator);
	}
	return $catOut;
}

// replace last occurance of a string.
function str_lreplace($search, $replace, $subject){
	$pos = strrpos($subject, $search);
	if($pos !== false){
		$subject = substr_replace($subject, $replace, $pos, strlen($search));
	}
	return $subject;
}

// custom post type for Testimonials
function my_custom_post_testimonials() {
	$labels = array(
		'name'               => __( 'Testimonial','powerclub'),
		'singular_name'      => __( 'Testimonial','powerclub'),
		'add_new'            => __( 'Add Testimonial','powerclub'),
		'add_new_item'       => __( 'Add New Testimonial','powerclub'),
		'edit_item'          => __( 'Edit Testimonial','powerclub'),
		'new_item'           => __( 'New Testimonial','powerclub'),
		'all_items'          => __( 'All Testimonials','powerclub'),
		'view_item'          => __( 'View Testimonial','powerclub'),
		'search_items'       => __( 'Search Testimonials','powerclub'),
		'not_found'          => __( 'No testimonials found','powerclub'),
		'not_found_in_trash' => __( 'No testimonials found in the Trash','powerclub'), 
		'parent_item_colon'  => '',
		'menu_name'          => 'Testimonials'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => 'Manage Testimonials',
		'public'        => true,
		'menu_icon'		=> 'dashicons-format-quote',
		'menu_position' => null,
		'supports'      => array( 'title', 'editor', 'thumbnail'),
		'has_archive'   => true,
	);
	register_post_type( 'testimonials', $args );	
}
add_action( 'init', 'my_custom_post_testimonials' );

//Testimonials function
function testimonials_output_func( $atts ){
	extract( shortcode_atts( array( 'show' => '',), $atts ) ); $postoutput = ''; wp_reset_query();
	$testimonialoutput = '<div id="testimonials"><div class="owl-carousel">';
	wp_reset_query();
 	query_posts('post_type=testimonials&posts_per_page='.$show);
	if ( have_posts() ) :
		while ( have_posts() ) : the_post();	
			$testimonialoutput .= '
			<div class="item">
			     <div class="client-say">				   	                  
				  <div class="tm_description">
				   '.content( of_get_option('testimonialsexcerptlength') ).'					
					<div class="timthumb"> '.( (get_the_post_thumbnail( get_the_ID(), array(140,140)) != '') ? get_the_post_thumbnail() : '<img src="'.get_template_directory_uri().'/images/client.jpg" />' ).'</div> 
					<h6>'.get_the_title().'</h6> 
				  </div> 
				  <div class="clear"></div>				  			              
			  	</div>
				</div>
				 ';
		endwhile;
		 $testimonialoutput .= '</div>';
	else:
	  $testimonialoutput = 'There are not found "Testimonials";';			
	  endif;  
	wp_reset_query();
	$testimonialoutput .= '</div></div>';
	
	return $testimonialoutput;
}
add_shortcode( 'testimonials', 'testimonials_output_func' );


//custom post type for Our trainer
function my_custom_post_trainer() {
	$labels = array(
		'name'               => __( 'Our Trainer', 'powerclub' ),
		'singular_name'      => __( 'Our Trainer', 'powerclub' ),
		'add_new'            => __( 'Add New', 'powerclub' ),
		'add_new_item'       => __( 'Add New Trainer', 'powerclub' ),
		'edit_item'          => __( 'Edit Trainer', 'powerclub' ),
		'new_item'           => __( 'New Trainer', 'powerclub' ),
		'all_items'          => __( 'All Trainer', 'powerclub' ),
		'view_item'          => __( 'View Trainer', 'powerclub' ),
		'search_items'       => __( 'Search Trainer', 'powerclub' ),
		'not_found'          => __( 'No Trainer found', 'powerclub' ),
		'not_found_in_trash' => __( 'No trainer found in the Trash', 'powerclub' ), 
		'parent_item_colon'  => '',
		'menu_name'          => 'Our Trainers'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => 'Manage Trainer',
		'public'        => true,
		'menu_position' => null,
		'menu_icon'		=> 'dashicons-groups',
		'supports'      => array( 'title', 'editor', 'thumbnail' ),
		'rewrite' => array('slug' => 'our-trainer'),
		'has_archive'   => true,
	);
	register_post_type( 'trainer', $args );
}
add_action( 'init', 'my_custom_post_trainer' );

// add meta box to trainer
add_action( 'admin_init', 'my_trainer_admin_function' );
function my_trainer_admin_function() {
    add_meta_box( 'trainer_meta_box',
        'Trainer Info',
        'display_trainer_meta_box',
        'trainer', 'normal', 'high'
    );
}
// add meta box form to doctor
function display_trainer_meta_box( $trainer ) {
    // Retrieve current name of the Director and Movie Rating based on review ID
    $designation = esc_html( get_post_meta( $trainer->ID, 'designation', true ) );   
    ?>
    <table width="100%">
        <tr>
            <td width="20%">Designation </td>
            <td width="80%"><input type="text" name="designation" value="<?php echo $designation; ?>" /></td>
        </tr>        
    </table>
    <?php       
}
// save team meta box form data
add_action( 'save_post', 'add_trainer_fields_function', 10, 2 );
function add_trainer_fields_function( $trainer_id, $trainer ) {
    // Check post type for staff
    if ( $trainer->post_type == 'trainer' ) {
        // Store data in post meta table if present in post data
        if ( isset($_POST['designation']) ) {
            update_post_meta( $trainer_id, 'designation', $_POST['designation'] );
        }
        
    }
}

function our_trainerposts_func( $atts ) {
   extract( shortcode_atts( array(
		'col' => '',
	), $atts ) );
	  extract( shortcode_atts( array( 'show' => '',), $atts ) ); $postoutput = ''; wp_reset_query();
	$bposts = '';
	$args = array( 'post_type' => 'trainer', 'posts_per_page' => $show, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
	query_posts( $args );
	$n = 0;
	if ( have_posts() ) {
		while ( have_posts() ) { 
			the_post();
			$n++; if( $n%4 == 0 ) $nomargn = ' lastcols'; else $nomargn = '';
			$designation = esc_html( get_post_meta( get_the_ID(), 'designation', true ) );			
			
			$bposts .= '<div class="teammember-list'.$nomargn.'">';	
			$bposts .= '<div class="thumnailbx"><a href="'.get_the_permalink().'">'.( (get_the_post_thumbnail( get_the_ID(), array(140,140)) != '') ? get_the_post_thumbnail() : '<img src="'.get_template_directory_uri().'/images/img_404.png" />' ).'</a>';
				$bposts .= '</div>';
				$bposts .= '<div class="teammember-content">
							<h4>'.get_the_title().'</h4>
							<span>'.$designation.'</span>
				 			'.content( of_get_option('teamexcerptlength') ).'';
				$bposts .= '</div></div>';
		}
	}else{
		$bposts .= 'There are not found our trainer';
	}
	wp_reset_query();
	$bposts .= '<div class="clear"></div></div>';
    return $bposts;
}
add_shortcode( 'our-trainers', 'our_trainerposts_func' );


// Button Shortcode
function powerclub_custom_counter_func($atts){
	extract(shortcode_atts(array(
	'iconname'	=> '',
	'value'	=> '',	
	'title'	=> ''	
	), $atts));
	return '<div class="counterlist">
		<i class="fa fa-'.$iconname.'"></i>	
	    <div class="counter">'.$value.'</div>
	    <h6>'.$title.'</h6>	   	   
	</div>';
	}
add_shortcode('counter','powerclub_custom_counter_func');


// Social Icon Shortcodes

function powerclub_social_area($atts,$content = null){
  return '<div class="social-icons">'.do_shortcode($content).'</div>';
 }
add_shortcode('social_area','powerclub_social_area');

function powerclub_social($atts){
 extract(shortcode_atts(array(
  'icon' => '',
  'link' => ''
 ),$atts));
  return '<a href="'.$link.'" target="_blank" class="fa fa-'.$icon.'" title="'.$icon.'"></a>';
 }
add_shortcode('social','powerclub_social');


function contactform_func( $atts ) {
    $atts = shortcode_atts( array(
        'to_email' => get_bloginfo('admin_email'),
		'title' => 'Contact enquiry - '.home_url( '/' ),
    ), $atts );

	$cform = "<div class=\"main-form-area\" id=\"contactform_main\">";

	$cerr = array();
	if( isset($_POST['c_submit']) && $_POST['c_submit']=='Submit' ){
		$name 			= trim( $_POST['c_name'] );
		$email 			= trim( $_POST['c_email'] );
		$phone 			= trim( $_POST['c_phone'] );
		$website		= trim( $_POST['c_website'] );
		$comments 		= trim( $_POST['c_comments'] );
		$captcha 		= trim( $_POST['c_captcha'] );
		$captcha_cnf	= trim( $_POST['c_captcha_confirm'] );

		if( !$name )
			$cerr['name'] = 'Please enter your name.';
		if( ! filter_var($email, FILTER_VALIDATE_EMAIL) ) 
			$cerr['email'] = 'Please enter a valid email.';
		if( !$phone )
			$cerr['phone'] = 'Please enter your phone number.';
		if( !$comments )
			$cerr['comments'] = 'Please enter your message.';
		if( !$captcha || (md5($captcha) != $captcha_cnf) )
			$cerr['captcha'] = 'Please enter the correct answer.';

		if( count($cerr) == 0 ){
			$subject = $atts['title'];
			$headers = "From: ".$name." <" . strip_tags($email) . ">\r\n";
			$headers .= "MIME-Version: 1.0\r\n";
			$headers .= "Content-type: text/html; charset=iso-8859-1\r\n";

			$message = '<html><body>
							<table>
								<tr><td>Name: </td><td>'.$name.'</td></tr>
								<tr><td>Email: </td><td>'.$email.'</td></tr>
								<tr><td>Phone: </td><td>'.$phone.'</td></tr>
								<tr><td>Website: </td><td>'.$website.'</td></tr>
								<tr><td>Message: </td><td>'.$comments.'</td></tr>
							</table>
						</body>
					</html>';
			mail( $atts['to_email'], $subject, $message, $headers);
			$cform .= '<div class="success_msg">Thank you! A representative will get back to you very shortly.</div>';
			unset( $name, $email, $phone, $website, $comments, $captcha );
		}else{
			$cform .= '<div class="error_msg">';
			$cform .= implode('<br />',$cerr);
			$cform .= '</div>';
		}
	}

	$capNum1 	= rand(1,4);
	$capNum2 	= rand(1,5);
	$capSum		= $capNum1 + $capNum2;
	$sumStr		= $capNum1." + ".$capNum2 ." = ";

	$cform .= "<form name=\"contactform\" action=\"#contactform_main\" method=\"post\">
			<p><input type=\"text\" name=\"c_name\" value=\"". ( ( empty($name) == false ) ? $name : "" ) ."\" placeholder=\"Name\" /></p>
			<p><input type=\"email\" name=\"c_email\" value=\"". ( ( empty($email) == false ) ? $email : "" ) ."\" placeholder=\"Email\" /></p><div class=\"clear\"></div>
			<p><input type=\"tel\" name=\"c_phone\" value=\"". ( ( empty($phone) == false ) ? $phone : "" ) ."\" placeholder=\"Phone\" /></p>
			<p><input type=\"url\" name=\"c_website\" value=\"". ( ( empty($website) == false ) ? $website : "" ) ."\" placeholder=\"Website with prefix http://\" /></p><div class=\"clear\"></div>
			<p><textarea name=\"c_comments\" placeholder=\"Message\">". ( ( empty($comments) == false ) ? $comments : "" ) ."</textarea></p><div class=\"clear\"></div>";
	$cform .= "<p><span class=\"capcode\">$sumStr</span><input type=\"text\" placeholder=\"Captcha\" value=\"". ( ( empty($captcha) == false ) ? $captcha : "" ) ."\" name=\"c_captcha\" /><input type=\"hidden\" name=\"c_captcha_confirm\" value=\"". md5($capSum)."\"></p><div class=\"clear\"></div>";
	$cform .= "<p class=\"sub\"><input type=\"submit\" name=\"c_submit\" value=\"Submit\" class=\"search-submit\" /></p>
		</form>
	</div>";

    return $cform;
}
add_shortcode( 'contactform', 'contactform_func' );


//custom post type for Our photogallery
function my_custom_post_photogallery() {
	$labels = array(
		'name'               => __( 'Photo Gallery','eaterstop-pro' ),
		'singular_name'      => __( 'Photo Gallery','eaterstop-pro' ),
		'add_new'            => __( 'Add New','eaterstop-pro' ),
		'add_new_item'       => __( 'Add New Image','eaterstop-pro' ),
		'edit_item'          => __( 'Edit Image','eaterstop-pro' ),
		'new_item'           => __( 'New Image','eaterstop-pro' ),
		'all_items'          => __( 'All Images','eaterstop-pro' ),
		'view_item'          => __( 'View Image','eaterstop-pro' ),
		'search_items'       => __( 'Search Images','eaterstop-pro' ),
		'not_found'          => __( 'No images found','eaterstop-pro' ),
		'not_found_in_trash' => __( 'No images found in the Trash','eaterstop-pro' ), 
		'parent_item_colon'  => '',
		'menu_name'          => 'Photo Gallery'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => 'Manage Photo Gallery',
		'public'        => true,
		'menu_icon'		=> 'dashicons-format-image',
		'menu_position' => null,
		'supports'      => array( 'title', 'thumbnail' ),
		'has_archive'   => true,
	);
	register_post_type( 'photogallery', $args );
}
add_action( 'init', 'my_custom_post_photogallery' );


//  register gallery taxonomy
register_taxonomy( "gallerycategory", 
	array("photogallery"), 
	array(
		"hierarchical" => true, 
		"label" => "Gallery Category", 
		"singular_label" => "Photo Gallery", 
		"rewrite" => true
	)
);

add_action("manage_posts_custom_column",  "photogallery_custom_columns");
add_filter("manage_edit-photogallery_columns", "photogallery_edit_columns");
function photogallery_edit_columns($columns){
	$columns = array(
		"cb" => '<input type="checkbox" />',
		"title" => "Gallery Title",
		"pcategory" => "Gallery Category",
		"view" => "Image",
		"date" => "Date",
	);
	return $columns;
}
function photogallery_custom_columns($column){
	global $post;
	switch ($column) {
		case "pcategory":
			echo get_the_term_list($post->ID, 'gallerycategory', '', ', ','');
		break;
		case "view":
			the_post_thumbnail('thumbnail');
		break;
		case "date":

		break;
	}
}


//[photogallery filter="false"]
function photogallery_shortcode_func( $atts ) {
	extract( shortcode_atts( array(
		'show' => -1,
		'filter' => 'true'
	), $atts ) );
	$pfStr = '';

	$pfStr .= '<div class="photobooth">';
	if( $filter == 'true' ){
		$pfStr .= '<div class="filter-gallery"><ul class="portfoliofilter clearfix"><li><a class="selected" data-filter="*" href="#">'.of_get_option('galleryshowallbtn').'</a><span></span></li>';
		$categories = get_categories( array('taxonomy' => 'gallerycategory') );
		foreach ($categories as $category) {
			$pfStr .= '<li><a data-filter=".'.$category->term_id.'" href="#">'.$category->name.'</a></li>';
		}
		$pfStr .= '</ul></div><div class="clear"></div>';
	}

	$pfStr .= '<div class="gallery row fourcol portfoliowrap"><div class="portfolio">';
	$j=0;
	$args = array(
			   'post_type'  => 'photogallery',
			   'posts_per_page' => $show,
				'meta_query' => array(
					array(
					 'key' => '_thumbnail_id',
					 'compare' => 'EXISTS'
					),
				)
			);
	query_posts('post_type=photogallery&posts_per_page='.$show); 
	if ( have_posts() ) : while ( have_posts() ) : the_post(); 
	$j++;	
		
		$imgSrc = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full');
		$terms = wp_get_post_terms( get_the_ID(), 'gallerycategory', array("fields" => "all"));
		$slugAr = array();		
	foreach( $terms as $tv ){
		$slugAr[] = $tv->term_id;
	}
		if ( $imgSrc[0]!='' ) {
			$imgUrl = $imgSrc[0];
		}else{
			$imgUrl = get_template_directory_uri().'/images/image404.jpg';
		}
		$pfStr .= '<div class="entry '.implode(' ', $slugAr).'" '.( ($j%4==0) ? 'style="margin-right:0"' : '' ).'>
                <div class="myphotogallery">
				 <figure class="effect-bubba">
				<strong>'.get_the_title().'</strong>                
 <a href="'.$imgSrc[0].'" data-rel="prettyPhoto[bkpGallery]"><img src="'.$imgSrc[0].'"/></a>
               <figcaption></figcaption>
		     </figure>	
			</div></div>';
		unset( $slugAr );
	endwhile; else: 
		$pfStr .= '<p>Sorry, photo gallery is empty.</p>';
	endif; 
	wp_reset_query();
	$pfStr .= '</div></div>';
	$pfStr .= '<div class="clear"></div></div>';
	return $pfStr;
}
add_shortcode( 'photogallery', 'photogallery_shortcode_func' );

/*toggle function*/
function toggle_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'title' => 'Click here to toggle content',
	), $atts ) );
	$tog_content = "<div class=\"toggle_holder\"><h3 class=\"slide_toggle\"><a href=\"#\">{$title}</a></h3>
					<div class=\"slide_toggle_content\">".get_the_content_format( $content )."</div></div>";

	return $tog_content;
}
add_shortcode( 'toggle_content', 'toggle_func' );

function tabs_func( $atts, $content = null ) {
	$tabs = '<div class="tabs-wrapper"><ul class="tabs">'.do_shortcode($content).'</ul></div>';
	return $tabs;
}
add_shortcode( 'tabs', 'tabs_func' );

function tab_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'title' => 'Tab Title',
	), $atts ) );
	$rand = rand(100,999);
	$tab = '<li><a rel="tab'.$rand.'" href="javascript:void(0)"><span>'.$title.'</span></a><div id="tab'.$rand.'" class="tab-content">'.get_the_content_format($content).'</div></li>';
	return $tab;
}
add_shortcode( 'tab', 'tab_func' );

// Button Shortcode
function readmorebtn_fun($atts){
	extract(shortcode_atts(array(
	'name'	=> '',
	'align'	=> '',
	'link'	=> '#',
	'target'	=> '',	
	), $atts));
	return '<div class="custombtn" style="text-align:'.$align.'">	
	   <a class="morebutton" href="'.$link.'" target="'.$target.'">'.$name.'</a>	   	   
	</div>';
	}
add_shortcode('button','readmorebtn_fun');


// Latest News function
function latestnewsoutput_func( $atts ){
   extract( shortcode_atts( array(
		'showposts' => 4,		
		'comment' => '',
		'date' => '',
		'author' => '',		
	), $atts ) );
	$postoutput = '<div class="fourcolumn-news">';
	wp_reset_query();
	$n = 0;
	query_posts(  array( 'posts_per_page'=>$showposts, 'post__not_in' => get_option('sticky_posts') )  );
	if ( have_posts() ) :
		while ( have_posts() ) : the_post();
			$n++;
			if($comment=='show' || $comment==''){   
				$post_comment = ' <span><i class="fa fa-comments-o"></i> <a href="'.get_the_permalink().'#comments">'.get_comments_number().' Comments</a></span>';
			} else {
				$post_comment = '';
			}			
			if($date=='show'){   
				$post_date = '<span><i class="fa fa-clock-o"></i> '.get_the_date().'</span>';
			} else {
				$post_date = '';
			}	
			if($author=='show'){   
				$post_author = '<span><i class="fa fa-user"></i> '.get_the_author_link().'</span>';
			} else {
				$post_author = '';
			}
			if( $n%4==0 )  $nomgn = 'last';	else $nomgn = ' ';
			if ( has_post_thumbnail()) {
				$large_imgSrc = wp_get_attachment_image_src( get_post_thumbnail_id(), 'large');
				$imgUrl = $large_imgSrc[0];
			}else{
				$imgUrl = get_template_directory_uri().'/images/img_404.png';
			}
			$postoutput .= '<div class="news-box '.$nomgn.'">
								<div class="news-thumb">
									<a href="'.get_the_permalink().'"><img src="'.$imgUrl.'" alt=" " /></a>
								</div>
								<div class="newsdesc">
									<h6><a href="'.get_permalink().'">'.get_the_title().'</a></h6>
									<div class="PostMeta">
										'.$post_date.'
										'.$post_author.'
										'.$post_comment.'                                    
									 </div>														
									 '.content( of_get_option('newsexcerptlength') ).'
									 <a href="'.get_the_permalink().'" >'.of_get_option('blogpostreadmoretext').'</a>
								</div>
								<div class="clear"></div>
                        </div>';	
						$postoutput .= ''.(($n%4==0) ? '<div class="clear"></div>' : '');	
		endwhile;
	endif;
	wp_reset_query();
	$postoutput .= '</div>';	
	return $postoutput;
}
add_shortcode( 'latest-news', 'latestnewsoutput_func' );

//Pricing Table

function pricing_table_shortcode_func( $atts, $content = null ) {
   extract( shortcode_atts( array(
		'columns' => '4',
	), $atts ) );
	$ptbl = '<div class="pricing_table pcol'.$columns.'">'.do_shortcode( str_replace(array('<br />','\t','\n','\r','\0'.'\x0B'), array('','','','','',''), $content) ) .'<div class="clear"></div></div>';
	return $ptbl;
}
add_shortcode( 'pricing_table', 'pricing_table_shortcode_func' );

function price_column_func( $atts, $content = null ) {
   extract( shortcode_atts( array(
		'highlight' => '',
		'bgcolor' => '',
	), $atts ) );
	$pcol = '<div class="price_col '.( (strtolower($highlight) == 'yes') ? 'highlight' : '' ).'" '.( ($bgcolor!='') ? 'style="background-color:'.$bgcolor.' !important;"' : '' ) .'>'.do_shortcode( $content ) .'</div>';
    return $pcol;
}
add_shortcode( 'price_column', 'price_column_func' );

function price_column_header_func( $atts, $content = null ) {
   extract( shortcode_atts( array(
		'bgcolors' => '',
	), $atts ) );
	$pheader = '<div class="th" style="background-color:'.$bgcolors.'">'.strip_tags($content).'</div>';
    return $pheader;
}
add_shortcode( 'price_header', 'price_column_header_func' );

function price_column_footer_func( $atts, $content = null ) {
   extract( shortcode_atts( array(
		'link' => '#',
	), $atts ) );
	$pfooter = '<div class="tf"><a href="'.$link.'">'.strip_tags($content).'</a></div>';
    return $pfooter;
}
add_shortcode( 'price_footer', 'price_column_footer_func' );

function price_row_footer_func( $atts, $content = null ) {
	$prow = '<div class="td">'.$content.'</div>';
    return $prow;
}
add_shortcode( 'price_row', 'price_row_footer_func' );

// Shortcode Serving
/* [servingyou title="#f7f7f7" description="" image="'.get_template_directory_uri().'/images/servingyou1.png" url="#" lastborder="lastborder"] */
function servingyou($atts, $content = null){
	extract( shortcode_atts(array(
		'title'  => '',
		'description'  => '',
		'image'  => '',
		'url'  => '',
		'class'  => '',
	), $atts));
	return '
			<div class="servingyou '.$class.'">
				<a href="#">
					<div class="servingyou-thumb hvr-backward"><img src="'.$image.'"></div> 
					<div class="servingyou-des">
					<h6>'.$title.'</h6>
					<p>'.$description.'</p>
					</div>
				</a>	
			</div>
		';
	}
add_shortcode('servingyou','servingyou');

// Shortcode Services
// [servicesbox image="image" title="title" description="description"]
function servicesboxarea($atts){
		extract( shortcode_atts(array(
			'image' => '',
			'title' => '',
			'description' => '',
			'bgcolor' => '',
			'color' => '',
		), $atts));
		return '
			 <div class="servicesbox" '.( ($bgcolor!='') ? 'style="background:'.$bgcolor.'"' : '').' >
				'.( ($image!='') ? '<div class="services-thumb hvr-grow"><img src="'.$image.'"/></div>' : '').'
				'.( ($title!='') ? '<div class="services-title"><h4 style="color:'.$color.'">'.$title.'</h4></div>' : '').'
				'.( ($description!='') ? '<div class="services-description" style="color:'.$color.'">'.$description.'</div>' : '').'
			 </div>
		';
}
add_shortcode('servicesbox','servicesboxarea');

// office titme table
// [office-hours icon="facebook" days="monday-friday" time="10.00-9.00"]
function officehours($atts){
		extract( shortcode_atts(array(
			'icon' => '',
			'days' => '',
			'time' => '',				
		), $atts));
		return '
			 <div class="officehours" >
				'.( ($icon!='') ? '<i class="fa fa-'.$icon.'"></i>' : '').'
				'.( ($days!='') ? '<div class="days">'.$days.'</div>' : '').'
				'.( ($time!='') ? '<div class="times">'.$time.'</div>' : '').'
			 </div>
		';
}
add_shortcode('office-hours','officehours');

// space Shortcode
function subtitle_fun($atts){
	extract(shortcode_atts(array(
	'size'	=> '',
	'color'	=> '',
	'margin'	=> '',
	'description'	=> '',
	'align'	=> '',
	), $atts));
	return '<div class="subtitle" style="font-size:'.$size.'; color:'.$color.'; margin:'.$margin.'; text-align:'.$align.';">'.$description.'</div>';
	}
add_shortcode('subtitle','subtitle_fun');



define('GRC_THEME_DOC','http://gracethemes.com/documentation/powerclub-doc/');