<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after
 *
 * @package Pubstore Pro
 */
$footerlayout = of_get_option('footerlayout');
?>

<div id="footer-wrapper">
    	<div class="container footer">      
        
<!-- =============================== Column One - 1 =================================== -->
			<?php if($footerlayout=='onecolumn'){ ?>
                <div class="cols-1">    
                   <?php if(!dynamic_sidebar('footer-1')) : ?> 
              <div class="widget-column-1">
                <?php wp_nav_menu( array( 'theme_location' => 'footer') ); ?>
              </div>             
            <?php endif; ?>
                    <div class="clear"></div>
                </div>
            <?php 
            }
             elseif ($footerlayout=='twocolumn'){ ?>

<!-- =============================== Column Two - 2 =================================== -->

            <div class="cols-2">    
               <?php if(!dynamic_sidebar('footer-1')) : ?>  
               <div class="widget-column-1">
                  <?php if( of_get_option( 'footerlogo', true ) != '' ) { ; ?>
                       <div class="footerlogo">
                         <a href="<?php echo home_url('/'); ?>"><img src="<?php echo esc_url( of_get_option( 'footerlogo', true )); ?>" / ></a>
                       </div><!-- .footerlogo -->                                
                    <?php } else { ?>
                    <h5><?php if( of_get_option('abouttitle') != '') { echo of_get_option('abouttitle'); } ; ?></h5>
                  <?php } ?>
                 <?php if( of_get_option('aboutusdescription') != '') { echo of_get_option('aboutusdescription'); } ; ?>                    
                <div class="clear"></div> 
              </div>                  
			<?php  endif; ?>
           
              <?php if(!dynamic_sidebar('footer-2')) : ?>
              <div class="widget-column-2">     
            	
                 <h5><?php if( of_get_option('contacttitle') != ''){ echo of_get_option('contacttitle');}; ?></h5>
                  <div class="contactdetail">
                	<?php if( of_get_option('address',true) != ''){ ?>
                	  <p><i class="fas fa-map-marker-alt"></i> <?php echo of_get_option('address'); ?></p>
                    <?php } ?>	
               
					<?php if( of_get_option('phone',true) != ''){ ?>
                        <p><i class="fas fa-phone"></i><?php echo of_get_option('phone'); ?></p>
                     <?php } ?>
                    
					<?php if( of_get_option('email',true) != '' ) { ?>
                      <p><i class="fas fa-envelope"></i><a href="mailto:<?php echo of_get_option('email',true); ?>"><?php echo of_get_option('email',true) ; ?></a></p>
                   <?php } ?>
                    
                     <?php if( of_get_option('fax',true) != ''){ ?>
                		<p><i class="fas fa-fax"></i><?php echo of_get_option('fax'); ?></p>
                    <?php } ?>
                                       
                </div>
                
                <?php if( of_get_option('footersocialicon') != '') { echo do_shortcode(of_get_option('footersocialicon')); } ; ?> 
                
               </div>
            <?php endif; ?>
                <div class="clear"></div>
            </div><!--end .cols-2-->  
			<?php 
            }
            elseif($footerlayout=='threecolumn'){ ?>
        
<!-- =============================== Column Three - 3 =================================== -->
            <div class="cols-3">    
                <?php if(!dynamic_sidebar('footer-1')) : ?>  
                <div class="widget-column-1">            	
                <?php if( of_get_option( 'footerlogo', true ) != '' ) { ; ?>
                       <div class="footerlogo">
                         <a href="<?php echo home_url('/'); ?>"><img src="<?php echo esc_url( of_get_option( 'footerlogo', true )); ?>" / ></a>
                       </div><!-- .footerlogo -->                                
                    <?php } else { ?>
                    <h5><?php if( of_get_option('abouttitle') != '') { echo of_get_option('abouttitle'); } ; ?></h5>
                  <?php } ?>
                <?php if( of_get_option('aboutusdescription') != '') { echo of_get_option('aboutusdescription'); } ; ?>                  
                <div class="clear"></div> 
              </div>                  
			<?php  endif; ?>
           
                <?php if(!dynamic_sidebar('footer-2')) : ?>
             	 <div class="widget-column-2">                
            		 <h5><?php if( of_get_option('officehourstitle') != ''){ echo of_get_option('officehourstitle');}; ?></h5>
                    <?php if( of_get_option('officetimetable') != '') { echo do_shortcode(of_get_option('officetimetable')); } ; ?>              	
              	 </div>
            	<?php endif; ?>
                
            <?php if(!dynamic_sidebar('footer-3')) : ?>
              <div class="widget-column-3">     
            	<h5><?php if( of_get_option('contacttitle') != ''){ echo of_get_option('contacttitle');}; ?></h5>
                  <div class="contactdetail">
                	<?php if( of_get_option('address',true) != ''){ ?>
                	  <p><i class="fas fa-map-marker-alt"></i> <?php echo of_get_option('address'); ?></p>
                    <?php } ?>	
               
					<?php if( of_get_option('phone',true) != ''){ ?>
                        <p><i class="fas fa-phone"></i><?php echo of_get_option('phone'); ?></p>
                     <?php } ?>
                    
					<?php if( of_get_option('email',true) != '' ) { ?>
                      <p><i class="fas fa-envelope"></i><a href="mailto:<?php echo of_get_option('email',true); ?>"><?php echo of_get_option('email',true) ; ?></a></p>
                   <?php } ?>
                    
                     <?php if( of_get_option('fax',true) != ''){ ?>
                		<p><i class="fas fa-fax"></i><?php echo of_get_option('fax'); ?></p>
                    <?php } ?>
                                       
                </div>
                
                <?php if( of_get_option('footersocialicon') != '') { echo do_shortcode(of_get_option('footersocialicon')); } ; ?> 
                
               </div>
            <?php endif; ?>
                
                    <div class="clear"></div>
            </div><!--end .cols-3-->  
            <?php
            }
            elseif($footerlayout=='fourcolumn'){ ?>

<!-- =============================== Column Fourth - 4 =================================== -->
          
    		<div class="cols-4">    
                <?php if(!dynamic_sidebar('footer-1')) : ?>  
                <div class="widget-column-1">                 
                 
				   <?php if( of_get_option( 'footerlogo', true ) != '' ) { ; ?>
                       <div class="footerlogo">
                         <a href="<?php echo home_url('/'); ?>"><img src="<?php echo esc_url( of_get_option( 'footerlogo', true )); ?>" / ></a>
                       </div><!-- .footerlogo -->                                
                    <?php } else { ?>
                    <h5><?php if( of_get_option('abouttitle') != '') { echo of_get_option('abouttitle'); } ; ?></h5>
                  <?php } ?>
    		    
                <?php if( of_get_option('aboutusdescription') != '') { echo of_get_option('aboutusdescription'); } ; ?>                  
                <div class="clear"></div> 
              </div>                  
			<?php  endif; ?>
           
                <?php if(!dynamic_sidebar('footer-2')) : ?>
             	 <div class="widget-column-2"> 
                    <h5><?php if( of_get_option('footermenutitle') != ''){ echo of_get_option('footermenutitle');}; ?></h5>
                    <?php wp_nav_menu( array( 'theme_location' => 'footer') ); ?>
                                
            		         	
              	 </div>
            	<?php endif; ?>
                
            <?php if(!dynamic_sidebar('footer-3')) : ?>
              <div class="widget-column-3"> 
                 <h5><?php if( of_get_option('officehourstitle') != ''){ echo of_get_option('officehourstitle');}; ?></h5>
                 <?php if( of_get_option('officetimetable') != '') { echo do_shortcode(of_get_option('officetimetable')); } ; ?>                 
               </div>
            <?php endif; ?>
            
            
            <?php if(!dynamic_sidebar('footer-4')) : ?> 
              <div class="widget-column-4">
                <h5><?php if( of_get_option('contacttitle') != ''){ echo of_get_option('contacttitle');}; ?></h5>
                  <div class="contactdetail">
                	<?php if( of_get_option('address',true) != ''){ ?>
                	  <p><i class="fas fa-map-marker-alt"></i><?php echo of_get_option('address'); ?></p>
                    <?php } ?>	
               
					<?php if( of_get_option('phone',true) != ''){ ?>
                        <p><i class="fas fa-phone"></i><?php echo of_get_option('phone'); ?></p>
                     <?php } ?>
                    
					<?php if( of_get_option('email',true) != '' ) { ?>
                      <p><i class="fas fa-envelope"></i><a href="mailto:<?php echo of_get_option('email',true); ?>"><?php echo of_get_option('email',true) ; ?></a></p>
                   <?php } ?>
                    
                     <?php if( of_get_option('fax',true) != ''){ ?>
                		<p><i class="fas fa-fax"></i><?php echo of_get_option('fax'); ?></p>
                    <?php } ?>
                                       
                </div>
                
                <?php if( of_get_option('footersocialicon') != '') { echo do_shortcode(of_get_option('footersocialicon')); } ; ?>  
              </div>             
            <?php endif; ?>
                
                    <div class="clear"></div>
                </div><!--end .cols-4-->
             <?php } ?>  
            <div class="clear"></div>
        
        </div><!--end .container-->
     
        <div class="copyright-wrapper">
        	<div class="container">
            	<div class="copyright-txt"><?php if( of_get_option('copytext',true) != ''){ echo of_get_option('copytext',true); }; ?></div>
                <div class="design-by"><?php if( of_get_option('ftlink', true) != ''){echo of_get_option('ftlink',true);}; ?></div>
           		<div class="clear"></div>
            </div> 
       </div>
    </div>    
<?php if( of_get_option('backtotop') != '') { echo do_shortcode(of_get_option('backtotop')); } ; ?>
<?php wp_footer(); ?>
</div>
</body>
</html>